@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,500;0,700;1,400&display=swap');

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	text-decoration: none;
}
.max-width{
	max-width: 1300px;
	padding: 0 80px;
	margin: auto;
}
/* Style for Navigation Bar */
.navbar{
	position: fixed;
	width: 100%;
	padding: 15px 0;
	font-family: 'Montserrat', sans-serif;
	background: turquoise;
	z-index: 1;
}
.navbar .sticky{
	padding: 15px;
	background: tomato;
}
.navbar .max-width{
	display: flex;
	align-items: center;
	justify-content: space-between;
}
.navbar .logo *{
	color: white;
	font-size: 35px;
	font-weight: 600;
}
.navbar .logo a:hover{
	color: red;
}
.navbar .logo a span{
	color: white;
}
.navbar .logo a span:hover{
	color: blue;
}
.navbar .menu li{
	list-style: none;
	display: inline-block;
}
.navbar .menu li a{
	display: block;
	color: white;
	font-size: 20px;
	font-weight: 600;
	margin-left: 30px;
	transition: all 0.3s ease;
}
.navbar .menu li a:hover{
	color: red;
}
/* Style for About Section*/
.home{
	display: flex;
	background: url("images/banner.jpg") no-repeat center;
	height: 100vh;
	color: red;
	background-size: cover;
	background-attachment: fixed;
	font-family: 'Montserrat', sans-serif;
}
.home .max-width{
	margin: 	auto 30px auto 30px;
}
.home .home-content .text-01{
	font-size: 25px;
}
.home .home-content .text-02{
	font-size: 50px;
	font-weight: 700;
	margin-left: -10px;
}
.home .home-content .text-03{
	font-size: 30px;
}
.home .home-content a{
	display: inline-block;
	background: tomato;
	color: black;
	font-size: 20px;
	padding: 12px 36px;
	margin-top: 30px;
	border-radius: 20px;
}
.home .home-content a:hover{
	color: white;
	background: turquoise;
}
/* Style for About Section */
section{
	padding: 100px 0;
}
.about{
	display: flex;
	background: url("images/banner-3.jpg") repeat center;
	background-size: cover;
	background-attachment: scroll;
	font-family: 'Montserrat', sans-serif;

}
.about .title{
	text-align: center;
	font-size: 38px;
	padding-bottom: 50px;
}
.about .about-content{
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
}
.about .about-content .left{
	width: 45%;
}
.about .about-content .left img{
	height:	300px;
	width: 300px;
	object-fit: cover;
	border-radius: 18px;
}
.about .about-content .right{
	width: 55%;
}
.about .about-content .right .text{
	margin-bottom: 15px;
}
.about .about-content .right p{
	font-size: 20px;
	text-align: justify;
}
/* Style for Services Section */
.services {
	color: black;
	background: tomato;
}
.services .title{
	font-family: 'Montserrat', sans-serif;
	color: white;
	text-align: center;
	font-size: 30px;
	padding-bottom: 50px;
}
.services .services-content{
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
}
.services .services-content .card{
	width: calc(33% - 20px);
	background: white;
	text-align: center;
	border-radius: 10px;
	padding: 20px 25px;
}
.services .services-content .card:hover{
	background: aqua;
}
.services .services-content .card .box{
	transition: all 0.3s ease;
}
.services .services-content .card .box:hover{
	transform: scale(1.05);
}
.services .services-content .card i{
	height: 60px;
	width: 60px;
}
.services .services-content .card img{
	height: 60px;
	width: 60px;
}
.services .services-content .text{
	font-family: 'Montserrat', sans-serif;
	font-size: 28px;
	font-weight: 600;
	margin: 10px 0;
}
.services .services-content p{
	font-family: 'Montserrat', sans-serif;
	font-size: 18px;
}
/* Style for Skills Section */
.skills{
	display: flex;
	background: url("images/banner-4.jpg") repeat center;
	height: 100vh;
	min-height: 500px;
	background-size: cover;
	background-attachment: fixed;
	font-family: 'Montserrat', sans-serif;
	font-size: 18px;
}
.skills .title{
	text-align: center;
	font-size: 30px;
	padding-bottom: 50px;
}
.skills .skills-content{
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
}
.skills .skills-content .column{
	width: calc(50% - 30px);
}
.skills .skills-content .left .text{
	font-size:	20px;
	font-weight: 600;
	margin-bottom: 20px;
}
.skills .skills-content .left p{
	text-align: justify;
	font-size: 18px;
}
.skills .skills-content .left a{
	display: inline-block;
	background: tomato;
	color: black;
	font-size: 20px;
	padding: 12px 36px;
	margin-top: 30px;
	border-radius: 20px;
}
.skills .skills-content .left a:hover{
	color: white;
	background: turquoise;
}
.skills .skills-content .right .bar{
	margin-bottom: 15px;
}
.skills .skills-content .right .info{
	display: flex;
	margin-bottom: 5px;
	align-items: center;
	justify-content: space-between;
}
.skills .skills-content .right .info:hover{
	color: turquoise;
	-webkit-transform: scale(1.05); 
}
.skills .skills-content .right span{
	font-weight: 600;
	font-size: 18px;
	padding: 5px;
}
.skills .skills-content .right .line{
	height: 10px;
	width: 100%;
	background-color: lightgrey;
	position: relative;
}
.skills .skills-content .right .line::before{
	content: "";
	position: absolute;
	height: 100%;
	left:	0;
	right: 0;
	background: red;
}
.skills-content .right .html::before{
	width: 95%;
}
.skills-content .right .css::before{
	width: 85%;
}
.skills-content .right .javascript::before{
	width: 80%;
}
.skills-content .right .php::before{
	width: 88%;
}
.skills-content .right .mysql::before{
	width: 83%;
}
/* Contact Styling */
.contact{
	font-family: 'Montserrat', sans-serif;
	display: flex;
	background: url("images/banner-5.jpg") no-repeat center;
	background-size: cover;
	background-attachment: scroll;
}
.contact .title{
	text-align: center;
	font-size: 30px;
	padding-bottom: 50px;
}
.contact .contact-content{
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
}
.contact .contact-content .column{
	width: calc(50% - 30px);
}
.contact .contact-content .left .text{
	color: red;
	font-size:	25px;
	font-weight: 600;
	margin: 10px 0;
}
.contact .contact-content .left p{
	font-size: 18px;
	text-align: justify;
}
.contact .contact-content .row{
	display: flex;
	height: 65px;
	align-items: center;
}

.contact .contact-content .left img{
	height: 20px;
	width: 20px;
	margin-top: 5px;
	margin-right: 10px;
}
.contact .contact-content .info .head{
	color: red;
	font-weight: 600;
	padding: 5px 0;
}
.contact .contact-content .info .subtitle{
	font-weight: 600;
}
.contact .right .text{
	color: red;
	font-size:	25px;
	font-weight: 600;
	margin: 10px 0;
}
.contact .right form .field01{
	display: flex;
}
.contact .right form .field01,
.contact .right form .field02, .field02{
	height: 45px;
	width: 100%;
	margin-bottom: 10px;
}
.contact .right form .textarea{
	height: 80px;
	width: 100%;
}
.contact .right form .name{
	margin-right: 10px;
}
.contact .right form .email{
	margin-left: 10px;
}
.contact .right form .field01 input,
.contact .right form .field02 input,
.contact .right form .textarea textarea{
	height: 100%;
	width: 100%;
	border: 1px solid lightgrey;
	outline: none;
	border-radius: 6px;
	padding: 0 15px;
}
.contact .right form .field01 input:focus,
.contact .right form .field02 input:focus,
.contact .right form .textarea  textarea:focus{
	border-color: red;
}
.contact .right form .textarea textarea{
	padding-top: 10px;
	resize: none;
}
.contact .right form .button{
	height: 50px;
	width: 170px;
	margin-top: 10px;
}
.contact .right form .button button{
	width: 100%;
	height: 100%;
	background: red;
	border: 2px	solid red;
	color: white;
	font-size: 18px;
	font-weight: 600px;
	border-radius: 6px;
	cursor: pointer;
}
.contact .right form .button button:hover{
	color: white;
	border: 2px solid turquoise;
	background: turquoise;
}
/* Footer Styling */
footer{
	font-family: 'Montserrat', sans-serif;
	background: black;
	color: white;
	text-align: center;
	padding: 30px;
}
footer span a{
	color: yellow;
}
footer span a:hover{
	color: turquoise;
}
/* Responsive media query */
@media (max-width: 1920px){
	.home .max-width{
		margin-left: 0px;
	}
	.menu-btn{
		display: none;
		z-index: 999;
	}
}
@media (max-width: 1104px){
	.about .about-content .left img{
		height: 350px;
		width: 350px;
	}
	.menu-btn{
		display: none;
		z-index: 999;
	}
}
@media (max-width: 991px){
	.max-width{
		padding: 0 50px;
	}
	.menu-btn{
		display: none;
		z-index: 999;
	}
}
@media (max-width: 947px){
	.menu-btn{
		display: block;
		z-index: 999;
	}
	.navbar .menu{
		position:  fixed;
		height: 50vh;
		width: 100%;
		left: 0;
		top: 0;
		background: black;
		opacity: 80%;
		text-align: center;
		padding-top: 80px;
	}
	.navbar .menu li{
		display: block;
	}
	.navbar .menu li a{
		display: inline-block;
		margin: 20px;
	}	
	.home .home-content .text-02{
		font-size: 35px;
	}
	.home .home-content a{
		font-size: 18px;
		padding: 10px 30px;
	}
	.max-width{
		max-width: 930px;
	}
	.about .about-content .column{
		width: 100%;
	}
	.about .about-content .left{
		display: flex;
		justify-content: center;
		margin: 0 auto 60px;
	}
	.about .about-content .right{
		flex: 100%;
	}
	.services .services-content .card{
		width: calc(50% - 10px);
		margin-bottom: 35px;
	}
	.skills .skills-content .column,
	.contact .contact-content .column{
		width: 100%;
		margin-bottom: 35px;
	}
}
@media (max-width: 690px){
	.max-width{
		padding: 0 23px;
	}
	.services .services-content .card{
		width: 100%;
}
@media (max-width: 500px){
	.contact .right form .fields01{
		flex-direction: column;
		
	}
	.contact .right form .fieldname,
	.contact .right form .fieldemail{
		margin: 0px;

	}
}